%{?!python:%define python python}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define origname Vertex

Name:           %{python}-vertex
Version:        0.1
Release:        1%{?dist}
Summary:        Divmod's implemntation of the Q2Q protocol

Group:          Development/Libraries
License:        MIT
URL:            http://www.divmod.org/trac/wiki/DivmodVertex
Source0:        http://divmod.org/static/projects/vertex/%{origname}-%{version}.tar.gz?format=raw

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  %{python}-twisted-core >= 2.1.1
BuildRequires:  %{python}-epsilon >= 0.4.0

Requires:       python >= 2.4
Requires:       %{python}-twisted-core >= 2.1.1
Requires:       %{python}-epsilon >= 0.4.0
Requires:       openssl >= 0.9.7
Requires:       pyOpenSSL

%description
Vertex is an implementation of the Q2Q protocol (sort of like P2P, but one
better). There are a few moving parts in Vertex:

    * PTCP: a protocol which is nearly identical to TCP, but which runs over
      UDP. This lets Q2Q penetrate most NAT configurations.

    * JUICE ([JU]ice [I]s [C]oncurrent [E]vents): a very simple but immensely
      flexible protocol which forms the basis of the high-level aspects of Q2Q

    * vertex: a command line tool which exposes a few features useful in many
      situations (such as registration and authentication) 

%prep
%setup -n %{origname}-%{version} -q

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc NAME.txt
%{_bindir}/vertex
%{_bindir}/certcreate

%dir %{python_sitelib}/vertex/
%{python_sitelib}/vertex/*.py
%{python_sitelib}/vertex/*.pyc
%ghost %{python_sitelib}/vertex/*.pyo

%dir %{python_sitelib}/vertex/scripts/
%{python_sitelib}/vertex/scripts/*.py
%{python_sitelib}/vertex/scripts/*.pyc
%ghost %{python_sitelib}/vertex/scripts/*.pyo

%dir %{python_sitelib}/vertex/test/
%{python_sitelib}/vertex/test/*.py
%{python_sitelib}/vertex/test/*.pyc
%ghost %{python_sitelib}/vertex/test/*.pyo

%changelog
* Thu Jun 08 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.1-1
- initial package
